Jump to content
rigadin2

[Contribution] STS v4

Recommended Posts

ok thank u for help

 

 

Multimixer is correct. It is possible that the Vam version of osCommerce is not stable or that it includes some other type of template system or may even be based on osC 3 which at this time is not compatible with STS.


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

hejian just posted a "new" version of STS.

 

I see he took out some vital code that makes the infobox templates function correctly. Not a good thing. I also see that he has only posted 2 times in the support forums so good luck getting any support for his so called "fixes".

 

I highly recommend the 4.5.8 release over this one. whistling.gif


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Thanks for the reply bkellum. The only STS module I am using is the Default template (v2.1.1).

I tried putting the javascript header info into the template file, and still had no success. I also checked to make sure the link to the .css file was correct. With the javascript added to the template, when i click on a picture I get this error:

 

Webpage error details

 

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0; Trident/4.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Zune 4.0)

Timestamp: Sat, 24 Oct 2009 00:12:04 UTC

 

 

Message: Not implemented

 

Line: 202

Char: 6

Code: 0

URI: https://mycityapparel.com/catalog/images/js/jquery.fancybox.js

 

I will investigate further, but any more advice would be great.

~Mike

 

Well, this depends on a couple of things...

 

  1. If you are using the product_info content template, then you would need to make some changes in the way the popup is called. These changes would be in the sts_inc/product_info.php file and the content/product_info.php.html template itself.
  2. If you are not using the product_info content template feature, then you may just need to add the JavaScript to the template page or depending upon the lightbox you are using you may need a link in your template to the lightbox.css file.
  3. If you are not using the product_info content template feature but you are using the popup image template feature, then you may just need to add the JavaScript and/or ligghtbox.css link to your sts_inc/popup_image.php file and the popup_image.php.html template.

A well written add-on for lightbox and extra images would have the necessary code within a PHP file and then all you would need to do is add this file to your "Files to Include" list in the STS Module Admin settings.

Share this post


Link to post
Share on other sites

Too late for edit: regarding my previous post, my debugger shows this line as the issue, in jquery.fancybox.js.

I know very little php so i'm rather lost at this point. This add on looks great, but just won't work with my STS and it's making me a little crazy!

 

if (isIElt9) {

$("#fancy_content")[0].style.setExpression('height', '(this.parentNode.clientHeight - 20)');

Share this post


Link to post
Share on other sites

Hello everyone. I have just tried to install STS 4.5.9 on my OScommerce site, following the instructions in the install.html document. However, when I set the Use Templates option to true for the Default module (in my admin section), when I refresh my store page afterwards I simply get a blank screen showing the following message on screen.

 

 

(PHP_VERSION >= '4') ) { tep_gzip_output(GZIP_LEVEL); } } ?> 

 

Apologies if this has been dealt with elsewhere, I had a look through some of the previous pages of this topic and also tried googling the code listed, but found nothing.

 

Any help would be much appreciated.

 

I mean, basically I have a website set up, designed, css-ed and everything. I just need to add the odd 'buy now' buttons to link to the checkout etc, so yeah, hopefully this should set me in the right direction.

 

Thanks everyone

Share this post


Link to post
Share on other sites

Hello everyone. I have just tried to install STS 4.5.9 on my OScommerce site, following the instructions in the install.html document. However, when I set the Use Templates option to true for the Default module (in my admin section), when I refresh my store page afterwards I simply get a blank screen showing the following message on screen.

 

 

(PHP_VERSION >= '4') ) { tep_gzip_output(GZIP_LEVEL); } } ?> 

 

Apologies if this has been dealt with elsewhere, I had a look through some of the previous pages of this topic and also tried googling the code listed, but found nothing.

 

Any help would be much appreciated.

 

I mean, basically I have a website set up, designed, css-ed and everything. I just need to add the odd 'buy now' buttons to link to the checkout etc, so yeah, hopefully this should set me in the right direction.

 

Thanks everyone

 

Install v4.5.8 by bkellum as it is the only version supported.


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Hey thanks bkellum, done that and now get the following displayed when I try open my main store/catalog page in my browser:

 

Server Requirement Error: register_globals is disabled in your PHP configuration. This can be enabled in your php.ini configuration file or in the .htaccess file in your catalog directory.

 

I have found this message comes up a lot. I tried following instructions to fix it, altering the php.ini file in the root directory (public_html). I also copied it into the catalog directory (public_html/catalog) and catalog admin directory. (public_html/catalog/admin). That just gave a really long string of code on the store page.

 

I also tried to edit the .htaccess files as recommended (http://forums.oscommerce.com/topic/203498-server-requirement-error-register-globals-is-disabled-in-your-php-configuration-this-can-be-enabled-in-your-phpini-configuration-file-or-in-the-ht/) but the htaccess files in both my public_html and public_html/catalog directories did not have the text I am supposed to edit.

 

 

Sorry to be a pain, but I really am quite clueless about php, and it is frustrating work. Can someone please try and help me, being as simple and clear as possible. Thanks.

Share this post


Link to post
Share on other sites

Hello everybody ,

 

 

I'm new to this community , I've just learned about STS , and I have a first question

 

Where is the folder that contains the template that will be shown when I acces my site.(Test or Full )

Share this post


Link to post
Share on other sites

Hello everybody ,

 

 

I'm new to this community , I've just learned about STS , and I have a first question

 

Where is the folder that contains the template that will be shown when I acces my site.(Test or Full )

 

 

The folder is chosen by which folder is entered in the STS Default Module.

 

New in v4.6: You will be able to select the template folder from a drop down menu in the STS Default Module. thumbsup.gif


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Hey thanks bkellum, done that and now get the following displayed when I try open my main store/catalog page in my browser:

 

Server Requirement Error: register_globals is disabled in your PHP configuration. This can be enabled in your php.ini configuration file or in the .htaccess file in your catalog directory.

 

I have found this message comes up a lot. I tried following instructions to fix it, altering the php.ini file in the root directory (public_html). I also copied it into the catalog directory (public_html/catalog) and catalog admin directory. (public_html/catalog/admin). That just gave a really long string of code on the store page.

 

I also tried to edit the .htaccess files as recommended (http://forums.oscommerce.com/topic/203498-server-requirement-error-register-globals-is-disabled-in-your-php-configuration-this-can-be-enabled-in-your-phpini-configuration-file-or-in-the-ht/) but the htaccess files in both my public_html and public_html/catalog directories did not have the text I am supposed to edit.

 

 

Sorry to be a pain, but I really am quite clueless about php, and it is frustrating work. Can someone please try and help me, being as simple and clear as possible. Thanks.

 

Just so you know, STS does not care whether you have register globals on or off so the problem would have to do with some other code in your shop.


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

OK, I am new to OSC but have been getting on just fine until I installed STS 4.5.9.

 

After installation, following all instructions, I load my admin for the 1st time and get errors...

 

Warning: require(includes/classes/sts.php) [function.require]: failed to open stream: No such file or directory in /home/fhlinux193/t/*************.co.uk/user/htdocs/admin/includes/application_top.php on line 174

 

Warning: require(includes/classes/sts.php) [function.require]: failed to open stream: No such file or directory in /home/fhlinux193/t/**************.co.uk/user/htdocs/admin/includes/application_top.php on line 174

 

Fatal error: require() [function.require]: Failed opening required 'includes/classes/sts.php' (include_path='.:/usr/share/pear-php5') in /home/fhlinux193/t/***************.co.uk/user/htdocs/admin/includes/application_top.php on line 174

 

The files the error is claiming are not available are there and I have re-uploaded them many times with no change in error message.

I have tried finding other people with these issues but with over 5 thousand replies in this topic, I have found finding it frustrating to say the least.

 

Any help would be much appreciated as I am now left with no admin screen :o


· · · — — — · · ·

Share this post


Link to post
Share on other sites

OK, I am new to OSC but have been getting on just fine until I installed STS 4.5.9.

 

After installation, following all instructions, I load my admin for the 1st time and get errors...

 

Warning: require(includes/classes/sts.php) [function.require]: failed to open stream: No such file or directory in /home/fhlinux193/t/*************.co.uk/user/htdocs/admin/includes/application_top.php on line 174

 

Warning: require(includes/classes/sts.php) [function.require]: failed to open stream: No such file or directory in /home/fhlinux193/t/**************.co.uk/user/htdocs/admin/includes/application_top.php on line 174

 

Fatal error: require() [function.require]: Failed opening required 'includes/classes/sts.php' (include_path='.:/usr/share/pear-php5') in /home/fhlinux193/t/***************.co.uk/user/htdocs/admin/includes/application_top.php on line 174

 

The files the error is claiming are not available are there and I have re-uploaded them many times with no change in error message.

I have tried finding other people with these issues but with over 5 thousand replies in this topic, I have found finding it frustrating to say the least.

 

Any help would be much appreciated as I am now left with no admin screen ohmy.gif

 

 

What version of osC do you have and did you try using v4.5.8 by me?

Also, it is better to use Google to search thid topic. I see "over 5 thousand replies in this topic" as a good thing. It shows that this contribution is well supported.


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

What version of osC do you have and did you try using v4.5.8 by me?

Also, it is better to use Google to search thid topic. I see "over 5 thousand replies in this topic" as a good thing. It shows that this contribution is well supported.

 

Hi, I have osCommerce Online Merchant v2.2 RC 2a installed. No I didnt install v4.5.8 I just installed the newest one thinking it would be just a bug fix version of v4.5.8.

 

"Also, it is better to use Google to search thid topic. I see "over 5 thousand replies in this topic" as a good thing. It shows that this contribution is well supported." - I agree, but it can hurt the eyes trying to read it all :P


· · · — — — · · ·

Share this post


Link to post
Share on other sites

Hi, I have osCommerce Online Merchant v2.2 RC 2a installed. No I didnt install v4.5.8 I just installed the newest one thinking it would be just a bug fix version of v4.5.8.

 

"Also, it is better to use Google to search thid topic. I see "over 5 thousand replies in this topic" as a good thing. It shows that this contribution is well supported." - I agree, but it can hurt the eyes trying to read it all tongue.gif

 

 

No, v4.5.9 was not a bug fix of anything and since I do not have any control over who can upload to the STS section, it is definitely "Buyer Beware".

 

STSv4.5.8 by bkellum is the current stable release of the Simple Template System and the only version that I will support.

 

thumbsup.gif STSv4.6 will be coming within a week (be watching the STS download page).


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Ran out of edit time for the above post....

 

 

 

No, v4.5.9 was not a bug fix of anything and since I do not have any control over who can upload to the STS section, it is definitely "Buyer Beware".

whistling.gif Regarding your issue though...it is most likely that you didn't follow the COMPLETE installation instructions (if they are even included with 4.5.9???). You need to upload both the files for RC2 as well as the files in the STS folder.

 

You see, for most contributions, two sets of files are included:

1. Stock osC files that need to be modified

2. And new files that must be uploaded

 

Both sets of files need to be uploaded. Why separate the two? Well, this allows older shop owners an upgrade path by simply uploading the new files and then doing a file compare with the stock files to merge in the changes to thier shop so as not to write over any modifications they have already made. New shop owners can simple upload both sets of files and done with it.

 

thumbsup.gif STSv4.5.8 by bkellum is the current stable release of the Simple Template System and the only version that I will support.

 

thumbsup.gifthumbsup.gif STSv4.6 will be coming within a week (be watching the STS download page).


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Important Posts for the STS newbie:

 

Post #3755: http://forums.oscomm...p;#entry1226986

 

Post #4326: http://forums.oscomm...p;#entry1303555

 

Post #4974: http://forums.oscomm...p;#entry1361366

 

Post #3772: http://forums.oscomm...p;#entry1227769

 

Post #3757: http://forums.oscomm...p;#entry1227006

 

Please review the above for insight on how the Simple Template System allows you to make templates for pages, categories, home page, products and infoboxes.

 

Hope this was helpful,

 

 

 


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Ran out of edit time for the above post....

 

 

 

No, v4.5.9 was not a bug fix of anything and since I do not have any control over who can upload to the STS section, it is definitely "Buyer Beware".

whistling.gif Regarding your issue though...it is most likely that you didn't follow the COMPLETE installation instructions (if they are even included with 4.5.9???). You need to upload both the files for RC2 as well as the files in the STS folder.

 

You see, for most contributions, two sets of files are included:

1. Stock osC files that need to be modified

2. And new files that must be uploaded

 

Both sets of files need to be uploaded. Why separate the two? Well, this allows older shop owners an upgrade path by simply uploading the new files and then doing a file compare with the stock files to merge in the changes to thier shop so as not to write over any modifications they have already made. New shop owners can simple upload both sets of files and done with it.

 

thumbsup.gif STSv4.5.8 by bkellum is the current stable release of the Simple Template System and the only version that I will support.

 

thumbsup.gifthumbsup.gif STSv4.6 will be coming within a week (be watching the STS download page).

 

 

Hi Bkellum,

 

thanks for the help, got it all fixed now :)

 

Time to get some dreams weaved ;)


· · · — — — · · ·

Share this post


Link to post
Share on other sites

 

I will investigate further, but any more advice would be great.

~Mike

 

I had the same problem with the Simple multi image addon and fancybox.js, it was solved when I put the same doctype in my sts_template.html:

 

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">

<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />

 

Torgrim

Share this post


Link to post
Share on other sites

Hi,

 

I have recently downloaded sts 4.5.8 and installed successfully. B)

 

After install I decided to install your free template from the sts mega pack section as a starting point (the screenshot provided looked rather decent compared to vanilla osc), all went well but the template will not load the images provided as part of the contrib, only the osc stock images.

 

After trying to view the images direct, within the browser, and I now get server 500 errors (only when trying to view sts images). :blink:

 

I also opted for the 'options' in the template folder as the css catagory menu looked smart, only problem is, it isnt working either, all I get on the template is the $categorycssmenu placeholder in its place (showing in browser). I followed the instructions within the template folder to the exact letter but I'm now sat scratching my head. :wacko:

 

I have read your guide for sts on the dl page also but it has brought me no further on this issue, although very informative for the usability side of sts.

 

I also have read / searched many pags of this forum to no avail.

 

 

Maybe im totaly missing something, it is sunday after all :P

But any help would meet many thanks :)

Edited by bobbydavro

Share this post


Link to post
Share on other sites

Hi,

 

I have recently downloaded sts 4.5.8 and installed successfully. cool.gif

 

After install I decided to install your free template from the sts mega pack section as a starting point (the screenshot provided looked rather decent compared to vanilla osc), all went well but the template will not load the images provided as part of the contrib, only the osc stock images.

 

After trying to view the images direct, within the browser, and I now get server 500 errors (only when trying to view sts images). blink.gif

 

I also opted for the 'options' in the template folder as the css catagory menu looked smart, only problem is, it isnt working either, all I get on the template is the $categorycssmenu placeholder in its place (showing in browser). I followed the instructions within the template folder to the exact letter but I'm now sat scratching my head. wacko.gif

 

I have read your guide for sts on the dl page also but it has brought me no further on this issue, although very informative for the usability side of sts.

 

I also have read / searched many pags of this forum to no avail.

 

 

Maybe im totaly missing something, it is sunday after all tongue.gif

But any help would meet many thanks smile.gif

 

That free template is a good one. Be sure you follow the install instructions COMPLETELY, especially for the css menu as it requires more code to uploaded. Look it over again and then let me know if you are still having problems.


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

I had the same problem with the Simple multi image addon and fancybox.js, it was solved when I put the same doctype in my sts_template.html:

 

<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">

<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />

 

Torgrim

 

 

DOC TYPES are a very important piece of the puzzle in any web page and it is often the most over-looked. thumbsup.gif


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

That free template is a good one. Be sure you follow the install instructions COMPLETELY, especially for the css menu as it requires more code to uploaded. Look it over again and then let me know if you are still having problems.

 

 

Hi,

 

as I said, I followed the instructions to the letter, inc the options install. I saw no instruction regarding extra code for the CSS menu.

 

Notes regarding this STS template:

 

In order to display the custom categories CSS menu, a new STS tag ($category_cssmenu) was created in catalog/includes/modules/sts_inc/sts_column_left.php. This tag pulls in the new categories_cssmenu.php file included in this contribution. You still have the option of using the default category menu by simply removing the STS tag $category_cssmenu from your template page and then add in the STS tag $categorybox in its place.

 

Doesnt this mean its already implemented within the files uploaded in previous steps? i.e modernrc2a

 

 

Here is the live test site so you can see what is showing test page

Edited by bobbydavro

Share this post


Link to post
Share on other sites

Hi,

 

as I said, I followed the instructions to the letter, inc the options install. I saw no instruction regarding extra code for the CSS menu.

 

 

 

Doesnt this mean its already implemented within the files uploaded in previous steps? i.e modernrc2a

 

 

Here is the live test site so you can see what is showing test page

 

Did you upload all of the files from catalog folder that came with the template add-on?


Bill Kellum

 

Sounds Good Productions

STS Tutorials & more: STSv4.6, STS Add-ons (STS Power Pack), STS V4 Forum STS Forum FREE TEMPLATE

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×